Subject: bug#8651: `raise' properties on NextStep

From: Stefan Monnier <[email-masked]>
Date: Wed, 11 May 2011 11:44:18 -0300

> As far as I can see, the problem is this (please correct me if
> I've misunderstood the display routine, which is
> likely).  Changes in vertical character position that result from
> display properties are processed in xdisp.c, and those changes
> are reflected in the value of the ybase field.  But many of the
> gylph-drawing functions in nsterm.m and nsfont.m only check the y field
> to determine the vertical position of a glyph; they don't use ybase 
> at all.

Thanks for the bug report and diagnostic, which sounds just right.
Hopefully someone familiar with the NS code will find the time to write
an actual patch for it.

        Stefan